Bug 121032 - CAN-2004-0177 ext3 infoleak
CAN-2004-0177 ext3 infoleak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
impact=low,public=20040228
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 08:49 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 16:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CAN-2004-0177 ext3fs leak fix from Theodore Ts'o (368 bytes, patch)
2004-07-05 04:16 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-16 08:49:31 EDT
Whenever you create a file on an ext3fs filesystem, some amount of
other in-memory data, _not_ the file's contents and _not_ something
which is present in the same filesystem or which previously was in a
file at all, gets written to the device holding the filesystem.

Could be a security issue if you have stuff in memory like crypto keys
and don't expect them to get stuck on disk (well unless swapped)

Issue is a fairly minor severity

Reported by Solar Designer of OpenWall on Feb28
Embargo lifted April 14th 2004
Comment 1 Mark J. Cox (Product Security) 2004-04-29 02:35:59 EDT
To clarify the risk of this issue: to exploit this flaw you need to be
a privileged user as you need to be able to see the raw disk blocks. 
Even then the extent of the issue is to allow you to see some random
bits of kernel memory.  The "crypto keys" example was thought up by
one vendor as a possible risk vector, where you may have things in
memory that you want to protect even from root, but this is an
unlikely risk as crypto applications would need to protect their keys
in memory and in any event they'd get swapped to disk.

This issue is therefore very low risk. 
Comment 2 Mark J. Cox (Product Security) 2004-07-05 04:16:22 EDT
Created attachment 101633 [details]
CAN-2004-0177 ext3fs leak fix from Theodore Ts'o
Comment 3 Ernie Petrides 2004-12-17 16:23:20 EST
I'll take this over with the intention of putting into U5.
Comment 4 Ernie Petrides 2005-02-17 08:55:08 EST
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-27.15.EL).
Comment 5 Ernie Petrides 2005-04-13 20:13:08 EDT
A fix for this problem has also been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).
Comment 6 Josh Bressers 2005-04-22 16:17:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html
Comment 7 Tim Powers 2005-05-18 09:27:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.